ถึงยังไงก็ตาม iPhone Dev-Team ก็ยังไม่ละทิ้งความพยายามที่จะช่วยเหล่าผู้ใช้ iPhone 3G/3GS ทุกคนที่ใช้เครื่อง Official Lock เดิมคนที่ใช้ Baseband 06.15.00 อยู่นั่น สามารถที่จะ Unlock ได้ด้วย Ultrasn0w ก็จริง แต่ทว่ามันก็จะมีปัญหาเรื่อง GPS โดยล่าสุดทาง MuscleNerd ได้อัพเดตว่าได้ปล่อย Redsn0w 0.9.14b1 ออกมาเพื่อใช้สำหรับการ Downgrade Baseband ได้แล้วละ เพื่อให้ผู้ใช้ 06.15.00 กลับไปยัง 05.13.04 ที่สามารถ Unlock ด้วย Ultrasn0w ได้เช่นกัน แถมยังไม่มีปัญหาเรื่อง GPS ด้วย แน่นอนว่ายังไม่มีวิธีการ Downgrade Baseband สำหรับ iPhone 4/4S ครับผม

For those who are wondering if you can update your 3G or 3GS to 06.15 solely for the purposes of downgrading to 05.13.04, the answer is “yes” for 3G owners, and “maybe” for 3GS owners.  The iPad baseband is not compatible with 3GS units manufactured week 34 of 2011 or later.  If you have an iPhone3GS and if digits 3-5 of its Serial Number are 134 or later (xx134…), then you should NOT try to install the 06.15 baseband on your 3GS!  It will brick your radio, preventing both the downgrade from working and normal iPhone software from using it as a phone!  Be warned!

ลองทำตามนี้ดูครับ

สิ่งที่ต้องมี

  • Redsn0w รุ่นล่าสุด ดาวน์โหลดได้ที่นี่
  • IPSW รุ่นปัจจุบันที่ใช้อยู่ เช็คที่ Settings > General > About ดูตรง Version ดาวน์โหลดได้ที่นี่

ขั้นตอนที่ 1: เปิด Redsn0w ขึ้นมาโลด ไปยัง Extras > Select IPSW และเลือก Firmware ที่ดาวน์โหลดมา (เป็นรุ่นปัจจุบันที่คุณใช้อยู่ครับ)

ขั้นตอนที่ 2: กลับมาหน้าหลัก กดปุ่ม Jailbreak ในระหว่างขั้นตอนการดำเนินการจะแสดงหน้าการตั้งค่าให้เราเลือก Downgrade from iPad baseband และ Install Cydia เพื่อให้อุปกรณ์ของคุณถูกปรับลด Baseband และติดตั้ง Cydia ด้วย

ขั้นตอนที่ 3: หลังจากนั้นทำตามขั้นตอนการเข้าสู่ DFU Mode ที่ Redsn0w แนะนำครับผม

ขั้นตอนที่ 4: หลังจากเสร็จสิ้นขั้นตอนทุกอย่าง เมื่อเข้าสู่หน้าหลัก ควรจะพบ Cydia และตรวจสอบ Baseband ควรจะเป็น 05.13.04 ครับผม

หน้านี้นานหน่อยนะ

ขั้นตอนที่ 5: หลังจากนั้นก็ไปติดตั้ง Ultrasn0w รุ่นล่าสุดใน Cydia เพื่อปลดล็อคได้เลยจ้าาา

ข้อมูลโดย iClarified